petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESSetObjective

Sets the objective function minimized by some of the SNES linesearch methods.

### Synopsis

    PetscErrorCode  SNESSetObjective(SNES snes,PetscErrorCode (*obj)(SNES,Vec,PetscReal*,void*),void *ctx)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| obj | - objective evaluation routine; see SNESObjectiveFunction for details
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

Note: This is not used in the SNESLINESEARCHCP line search.

If not provided then this defaults to the two norm of the function evaluation (set with SNESSetFunction())

### Keywords

SNES, nonlinear, set, objective

### See Also

SNESGetObjective(), SNESComputeObjective(), SNESSetFunction(), SNESSetJacobian(), SNESObjectiveFunction

Level:intermediate
Location:src/snes/interface/snesob.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages